# @npmcorp/pui-css-whitespace

A CSS whitespace component that can be installed via this npm package. The package provides all of the
CSS you need to use the component.



## Installation

To install the package, from the command line, type:

```
npm install pui-css-whitespace
```

## Usage

Letter                           | Description
-------------------------------- | ------------------------------------------------------------------
p, m                             | padding, margin
a, t, r, b, l, h, v              | all, top, right, bottom, left, horizontal, vertical
n, s, m, l, xl, xxl, xxxl, xxxxl | none(0px), small(5px), medium(7px), large(10px), extra large(20px), extra extra large (40px), extra extra extra large (120px), extra extra extra extra large (140px)

A CSS class is constructed by choosing one of the letters from each row. For example:

```html
<p>A normal paragraph</p>
<p class="pal">A paragraph with large padding</p>
```


You can find more examples of the whitespace component in the [pui style guide](http://styleguide.pivotal.io/all.html#list_whitespace)

*****************************************

This is a component of Pivotal UI. It is a Pivotal specific implementation of Bootstrap.

[Styleguide](http://styleguide.pivotal.io)
[Github](https://github.com/pivotal-cf/pivotal-ui)

(c) Copyright 2015 Pivotal Software, Inc. All Rights Reserved.